package com.seer.teach.common.enums.im;

/**
 * <p>
 * ImMqTopic枚举类
 * </p>
 *
 * @author Captain
 * @since 2025-07-16 19:11
 */
public enum ImMqTopicEnum {
    USER_INFO("im-userInfo"),
    BUSINESS("im-business"),
    COMMAND("im-command"),
    LARGE_MODULE("im-large-module"),
    REDIS_CHANNEL_PUSH("im-redis-channel-push");

    private final String topic;

    ImMqTopicEnum(String topic) {
        this.topic = topic;
    }

    public String getTopic() {
        return topic;
    }
}
